package com.keao.edu.user.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class StuRecordDetailDto {

    @ApiModelProperty(value = "报名编号")
    private Long examRegistrationId;

    @ApiModelProperty(value = "剩余时长（秒）")
    private Integer subTime;

    @ApiModelProperty(value = "录制最大时长（分）")
    private Integer recordTime;

    @ApiModelProperty(value = "单首曲目录制时长（分）")
    private Integer singleSongRecordMinutes;

    @ApiModelProperty(value = "实际考试结束时间")
    private Date examEndTime;

    @ApiModelProperty(value = "考试内容")
    private String songJson;

    @ApiModelProperty(value = "开始录制时间")
    private Date recordStartTime;

    public Long getExamRegistrationId() {
        return examRegistrationId;
    }

    public void setExamRegistrationId(Long examRegistrationId) {
        this.examRegistrationId = examRegistrationId;
    }

    public Integer getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(Integer recordTime) {
        this.recordTime = recordTime;
    }

    public Integer getSingleSongRecordMinutes() {
        return singleSongRecordMinutes;
    }

    public void setSingleSongRecordMinutes(Integer singleSongRecordMinutes) {
        this.singleSongRecordMinutes = singleSongRecordMinutes;
    }

    public Date getRecordStartTime() {
        return recordStartTime;
    }

    public void setRecordStartTime(Date recordStartTime) {
        this.recordStartTime = recordStartTime;
    }

    public Integer getSubTime() {
        return subTime;
    }

    public void setSubTime(Integer subTime) {
        this.subTime = subTime;
    }

    public Date getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Date examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getSongJson() {
        return songJson;
    }

    public void setSongJson(String songJson) {
        this.songJson = songJson;
    }
}
